CMSIS-Core (Cortex-A): Globals

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- d
- e
- f
- g
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - _ -

- __ABT_STACK_SIZE : mem_ARMCA9.h
- __ALIGNED : cmsis_armcc.h
- __ARM_ARCH_7A__ : cmsis_armcc.h
- __ASM : cmsis_armcc.h
- __BKPT : cmsis_armcc.h
- __CA_CMSIS_VERSION : core_ca.h
- __CA_CMSIS_VERSION_MAIN : core_ca.h
- __CA_CMSIS_VERSION_SUB : core_ca.h
- __CA_REV : ARMCA9.h
- __CLREX : cmsis_armcc.h
- __CLZ : cmsis_armcc.h , cmsis_armcc.txt
- __CMSIS_CP15_H : cmsis_cp15.h
- __COMPILER_BARRIER : cmsis_armcc.h
- __CORE_CA_H_DEPENDANT : core_ca.h
- __CORE_CA_H_GENERIC : core_ca.h
- __CORTEX_A : ARMCA9.h
- __disable_fault_irq : cmsis_armcc.h
- __DMB : cmsis_armcc.h
- __DSB : cmsis_armcc.h
- __enable_fault_irq : cmsis_armcc.h
- __FIQ_STACK_SIZE : mem_ARMCA9.h
- __FORCEINLINE : cmsis_armcc.h
- __FPU_Enable() : cmsis_armcc.h
- __FPU_PRESENT : core_ca.h , ARMCA9.h
- __FPU_USED : core_ca.h
- __get_ACTLR() : cmsis_cp15.h
- __get_ACTRL() : cmsis_cp15.h
- __get_CBAR() : cmsis_cp15.h
- __get_CCSIDR() : cmsis_cp15.h
- __get_CLIDR() : cmsis_cp15.h
- __get_CNTFRQ() : cmsis_cp15.h
- __get_CNTP_CTL() : cmsis_cp15.h
- __get_CNTP_CVAL() : cmsis_cp15.h
- __get_CNTP_TVAL() : cmsis_cp15.h
- __get_CNTPCT() : cmsis_cp15.h
- __get_CP : cmsis_armcc.h
- __get_CP64 : cmsis_armcc.h
- __get_CPACR() : cmsis_cp15.h
- __get_CPSR() : cmsis_armcc.h
- __get_CSSELR() : cmsis_cp15.h
- __get_DACR() : cmsis_cp15.h
- __get_DFSR() : cmsis_cp15.h
- __get_FPEXC() : cmsis_armcc.h
- __get_FPSCR() : cmsis_armcc.h
- __get_IFSR() : cmsis_cp15.h
- __get_ISR() : cmsis_cp15.h
- __get_mode() : cmsis_armcc.h
- __get_MPIDR() : cmsis_cp15.h
- __get_MVBAR() : cmsis_cp15.h
- __get_SCTLR() : cmsis_cp15.h
- __get_SP() : cmsis_armcc.h
- __get_SP_usr() : cmsis_armcc.h
- __get_TTBR0() : cmsis_cp15.h
- __get_VBAR() : cmsis_cp15.h
- __GIC_PRESENT : core_ca.h , ARMCA9.h
- __HEAP_SIZE : mem_ARMCA9.h
- __I : core_ca.h
- __IM : core_ca.h
- __INLINE : cmsis_armcc.h
- __IO : core_ca.h
- __IOM : core_ca.h
- __IRQ_STACK_SIZE : mem_ARMCA9.h
- __ISB : cmsis_armcc.h
- __L1C_CleanInvalidateCache() : core_ca.h
- __L1C_MaintainDCacheSetWay() : core_ca.h
- __L2C_PRESENT : ARMCA9.h
- __LDREXB : cmsis_armcc.h
- __LDREXH : cmsis_armcc.h
- __LDREXW : cmsis_armcc.h
- __log2_up() : core_ca.h
- __NO_RETURN : cmsis_armcc.h
- __NOP : cmsis_armcc.h
- __O : core_ca.h
- __OM : core_ca.h
- __PACKED : cmsis_armcc.h
- __PACKED_STRUCT : cmsis_armcc.txt , cmsis_armcc.h
- __RAM_BASE : mem_ARMCA9.h
- __RAM_SIZE : mem_ARMCA9.h
- __RBIT : cmsis_armcc.h , cmsis_armcc.txt
- __REV : cmsis_armcc.h , cmsis_armcc.txt
- __REV16() : cmsis_armcc.txt
- __REVSH() : cmsis_armcc.txt
- __ROM_BASE : mem_ARMCA9.h
- __ROM_SIZE : mem_ARMCA9.h
- __ROR : cmsis_armcc.h , cmsis_armcc.txt
- __RW_DATA_SIZE : mem_ARMCA9.h
- __set_ACTLR() : cmsis_cp15.h
- __set_ACTRL() : cmsis_cp15.h
- __set_BPIALL() : cmsis_cp15.h
- __set_CCSIDR() : cmsis_cp15.h
- __set_CNTFRQ() : cmsis_cp15.h
- __set_CNTP_CTL() : cmsis_cp15.h
- __set_CNTP_CVAL() : cmsis_cp15.h
- __set_CNTP_TVAL() : cmsis_cp15.h
- __set_CP : cmsis_armcc.h
- __set_CP64 : cmsis_armcc.h
- __set_CPACR() : cmsis_cp15.h
- __set_CPSR() : cmsis_armcc.h
- __set_CSSELR() : cmsis_cp15.h
- __set_DACR() : cmsis_cp15.h
- __set_DCCIMVAC() : cmsis_cp15.h
- __set_DCCISW() : cmsis_cp15.h
- __set_DCCMVAC() : cmsis_cp15.h
- __set_DCCSW() : cmsis_cp15.h
- __set_DCIMVAC() : cmsis_cp15.h
- __set_DCISW() : cmsis_cp15.h
- __set_DFSR() : cmsis_cp15.h
- __set_FPEXC() : cmsis_armcc.h
- __set_FPSCR() : cmsis_armcc.h
- __set_ICIALLU() : cmsis_cp15.h
- __set_IFSR() : cmsis_cp15.h
- __set_mode() : cmsis_armcc.h
- __set_MVBAR() : cmsis_cp15.h
- __set_SCTLR() : cmsis_cp15.h
- __set_SP() : cmsis_armcc.h
- __set_SP_usr() : cmsis_armcc.h
- __set_TLBIALL() : cmsis_cp15.h
- __set_TTBR0() : cmsis_cp15.h
- __set_VBAR() : cmsis_cp15.h
- __SEV : cmsis_armcc.h
- __SSAT : cmsis_armcc.h
- __STACK_SIZE : mem_ARMCA9.h
- __STATIC_FORCEINLINE : cmsis_armcc.h , cmsis_armcc.txt
- __STATIC_INLINE : cmsis_armcc.h
- __STREXB : cmsis_armcc.h
- __STREXH : cmsis_armcc.h
- __STREXW : cmsis_armcc.h
- __SVC_STACK_SIZE : mem_ARMCA9.h
- __TIM_PRESENT : ARMCA9.h , core_ca.h
- __TTB_BASE : mem_ARMCA9.h
- __TTB_SIZE : mem_ARMCA9.h
- __UNALIGNED_UINT16_READ : cmsis_armcc.txt , cmsis_armcc.h
- __UNALIGNED_UINT16_WRITE : cmsis_armcc.h , cmsis_armcc.txt
- __UNALIGNED_UINT32 : cmsis_armcc.txt
- __UNALIGNED_UINT32_READ : cmsis_armcc.txt , cmsis_armcc.h
- __UNALIGNED_UINT32_WRITE : cmsis_armcc.h , cmsis_armcc.txt
- __UND_STACK_SIZE : mem_ARMCA9.h
- __USAT : cmsis_armcc.h
- __USED : cmsis_armcc.h
- __WEAK : cmsis_armcc.h
- __WFE : cmsis_armcc.h
- __WFI : cmsis_armcc.h
- __ZI_DATA_SIZE : mem_ARMCA9.h
- _FLD2VAL : core_ca.h , core_ca.txt
- _VAL2FLD : core_ca.txt , core_ca.h